︠45beb9da-a1bf-4190-8b26-dc09deaae6c5︠
# rozwiązywanie równań
x = var('x')
solve(x^2+3*x+2,x)
︡0c33c843-9a9d-4f12-b44e-16ce9f8436e5︡{"stdout":"[x == -2, x == -1]"}︡{"stdout":"\n"}︡{"done":true}︡
︠fcbcd26d-4c51-4337-84ce-bd41d2792794s︠

x, y = var('x, y')
solve([x+y==6, x-y==4], x, y)
︡19986009-b162-49bc-b048-a8c91c2ab450︡{"stdout":"[[x == 5, y == 1]]\n"}︡{"done":true}︡
︠63e499e6-a60d-46dc-b239-880809e732des︠
t = var('t')
solve(cos (t) == sin (t), t)
︡39cfffb0-3675-4a08-a52e-6e6a34e4d872︡{"stdout":"[sin(t) == cos(t)]\n"}︡{"done":true}︡
︠a37aa71c-3972-42a6-9eb2-782e416c141bs︠
t = var('t')
find_root(cos (t) == sin (t), 0, pi/2)
︡aa8967c8-941e-4630-adb5-29e21a51bb1e︡{"stdout":"0.7853981633974484"}︡{"stdout":"\n"}︡{"done":true}︡
︠f70417f0-8e16-44b1-b6f9-676c508a2de0︠

# rozkład na ułamki proste
f = 1/((1+x)*(x-1))
f.partial_fraction(x)
︡d70b52be-0052-4d40-8f09-bf2fdee87942︡{"stdout":"-1/2/(x + 1) + 1/2/(x - 1)\n"}︡{"done":true}︡
︠2f32042e-6070-4093-b421-245e2738143a︠

# różniczkowanie
u = var('u')
diff(sin(u),u)
︡0bef3593-43d0-46ac-afd4-80a73a75afc8︡{"stdout":"cos(u)\n"}︡{"done":true}︡
︠e0cb2dcd-9e28-40d2-b1f3-5ee9ba36d3ad︠

# działania na macierzach
A = matrix([[1,2,3],[4,5,6],[7,8,9]])
A
︡e3051b89-fde9-439d-a104-6124daf199dd︡{"stdout":"[1 2 3]\n[4 5 6]\n[7 8 9]\n"}︡{"done":true}︡
︠30b4911d-b177-4c5d-a3bb-7731b75c7bb3s︠
B = matrix.identity(3)
B
︡5ecdcfb7-a391-43c8-8fac-d5016a0cda9a︡{"stdout":"[1 0 0]\n[0 1 0]\n[0 0 1]\n"}︡{"done":true}︡
︠b4fa235c-85e5-4bc7-95ec-6f6706a5674cs︠
A*B
︡a1832e7f-bb49-4ef7-b216-33a863952c09︡{"stdout":"[1 2 3]\n[4 5 6]\n[7 8 9]\n"}︡{"done":true}︡
︠c14d3d7f-2700-40d1-868e-d18a019f8c0as︠
A.determinant()
︡b2f3b806-fe16-466f-9ec4-239448a200d5︡{"stdout":"0\n"}︡{"done":true}︡
︠9a58b8dd-b8c3-40ca-a0a6-84251e4e97a9s︠
A^(-1)
︡875c9fe7-aee7-4c66-87bc-4377676f8c19︡{"stderr":"Error in lines 1-1\nTraceback (most recent call last):\n  File \"/cocalc/lib/python2.7/site-packages/smc_sagews/sage_server.py\", line 1013, in execute\n    exec compile(block+'\\n', '', 'single') in namespace, locals\n  File \"\", line 1, in <module>\n  File \"sage/matrix/matrix_integer_dense.pyx\", line 1003, in sage.matrix.matrix_integer_dense.Matrix_integer_dense.__pow__ (build/cythonized/sage/matrix/matrix_integer_dense.c:11238)\n    return (~self) ** (-n)\n  File \"sage/matrix/matrix_integer_dense.pyx\", line 4017, in sage.matrix.matrix_integer_dense.Matrix_integer_dense.__invert__ (build/cythonized/sage/matrix/matrix_integer_dense.c:33980)\n    A,d = self._invert_flint()\n  File \"sage/matrix/matrix_integer_dense.pyx\", line 3978, in sage.matrix.matrix_integer_dense.Matrix_integer_dense._invert_flint (build/cythonized/sage/matrix/matrix_integer_dense.c:33817)\n    raise ZeroDivisionError('Matrix is singular')\nZeroDivisionError: Matrix is singular\n"}︡{"done":true}︡
︠05e0ad81-7b2c-41ca-b0d8-5d1f83d8040as︠
C = matrix([[1,2,10],[4,5,6],[7,8,9]])
C.determinant()
︡5edb448c-5dac-4293-9f34-922ea853da5a︡{"stdout":"-21\n"}︡{"done":true}︡
︠18a393e3-74f6-4260-88a2-09f2d9a7e48cs︠
C^(-1)
︡50010e3a-0708-4589-b583-c15611493576︡{"stdout":"[   1/7 -62/21  38/21]\n[  -2/7  61/21 -34/21]\n[   1/7   -2/7    1/7]\n"}︡{"done":true}︡
︠f607b569-aaa9-4bf7-b8d2-b7595bdc8021︠

# rysowanie wykresów funkcji
plot(cos,-5,5)
︡1b2dc041-6f78-44a0-861f-acccd59955c9︡
︠fd6e3ea5-114c-40e4-a46c-c5a2d3663c2as︠

plot(cos,(-5,5),rgbcolor=hue(0.6))
︡baa88d71-ff35-43a7-8d8f-63b5055d9347︡{"file":{"filename":"/home/user/.sage/temp/project-39651981-0ad0-442d-82f1-b58658907d0d/164/tmp_c4JcPd.svg","show":true,"text":null,"uuid":"a10068a4-36d7-4f31-8911-0f46d5f28e77"},"once":false}︡{"done":true}︡
︠a8f1ca80-8315-4d60-babc-17c676514f6ds︠
plot(cos,(-5,5),rgbcolor=hue(0.9))
︡cc81f496-538d-4238-bf8b-36da193ba1dd︡{"file":{"filename":"/home/user/.sage/temp/project-39651981-0ad0-442d-82f1-b58658907d0d/164/tmp_22MnTs.svg","show":true,"text":null,"uuid":"1c576145-97ef-4697-8d19-27d973752647"},"once":false}︡{"done":true}︡
︠05bffa1c-d508-485c-b22a-028da13d9449︠

︡6306d5b5-ca20-435f-b88a-657eef0cd371︡
︠702503dc-1a21-4700-854a-9497c0291706s︠
parametric_plot((2*cos(x),4*sin(x)),(x,0,2*pi))
︡8eec5b75-e55b-48b8-a34e-3822c84124e0︡{"file":{"filename":"/home/user/.sage/temp/project-39651981-0ad0-442d-82f1-b58658907d0d/164/tmp_l05DTg.svg","show":true,"text":null,"uuid":"e4b90704-2b02-49a5-b5ff-0ef630984e2c"},"once":false}︡{"done":true}︡
︠4b7cc5c2-898d-4ace-91c1-8f9168ac5d21s︠
x = var('x')
p1 = parametric_plot((2*cos(x),4*sin(x)),(x,0,2*pi))
p2 = parametric_plot((cos(x),sin(x)),(x,0,2*pi),rgbcolor=hue(0.1))
show(p1+p2)
︡c48dda3b-487e-4f9d-b038-74a0ad061054︡{"file":{"filename":"/home/user/.sage/temp/project-39651981-0ad0-442d-82f1-b58658907d0d/164/tmp_xgkwIB.svg","show":true,"text":null,"uuid":"a8c65c8b-6161-4c26-a3d1-15eda9ca2505"},"once":false}︡{"done":true}︡









